package info.textgrid.lab.collatex.ui.commands;

import info.textgrid.lab.collatex.ui.parts.CollationSetEditor;
import info.textgrid.lab.core.model.TGContentType;
import info.textgrid.lab.ui.core.dialogs.NewObjectWizard;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.handlers.HandlerUtil;

public class NewEquivalenceSet extends AbstractHandler implements IHandler {

	@Override
	public Object execute(final ExecutionEvent event) throws ExecutionException {
		final IEditorPart activeEditor = HandlerUtil.getActiveEditor(event);
		if (activeEditor != null && activeEditor instanceof CollationSetEditor)
			((CollationSetEditor) activeEditor).createRegularisationSet();
		else {
			final NewObjectWizard wizard = new NewObjectWizard();
			wizard.showDialog(HandlerUtil.getActiveShell(event), null,
					TGContentType.of("text/collation-equivs+xml")); //$NON-NLS-1$
		}
		return null;
	}
}